## NAME

v.extrude - Extrudes flat vector object to 3D with defined height.

## KEYWORDS

vector, geometry, 3D

## SYNOPSIS

v.extrude
v.extrude help
v.extrude [-t] input=name output=name [zshift=float] [elevation=name] [height=float] [hcolumn=name] [type=string[,string,...]] [layer=integer] [--overwrite] [--verbose] [--quiet]

### Flags:

-t
  Trace elevation
--overwrite
  Allow output files to overwrite existing files
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

input=name
  Name of input 2D vector map
output=name
  Name of resulting 3D vector map
zshift=float
  Shifting value for z coordinates
  Default: 0
elevation=name
  Elevation raster for height extraction
height=float
  Fixed height for 3D vector objects
hcolumn=name
  Name of attribute column with object heights
type=string[,string,...]
  Feature type
  Options: point,line,boundary,area
  Default: point,line,boundary,area
layer=integer
  Layer number
  A single vector map can be connected to multiple database tables. This number determines which table to use.
  Default: 1

## DESCRIPTION

v.extrude creates faces, kernels, volumes or 3D lines based on 2D vector objects, i.e. points become 3D vertical lines, lines to 3D lines, boundaries to faces and areas to volumes (composition of faces and kernel).

If the flag -t is used then 3D vector objects follow the elevation model by using individual elevation values for the vertices and nodes. This can be useful for models of large objects (forest stands).

## EXAMPLES

### 3D houses with fixed height

    v.extrude input=houses output=houses3D height=5 type=area

### 3D houses with individual height

    v.extrude input=houses output=houses3D elevation=dem hcolumn=height type=area

### Convert 2D lines to 3D with fixed height

    v.extrude input=lines output=lines3D elevation=dem height=0 type=line

## SEE ALSO

nviz

## AUTHOR

Jachym Cepicky,
Updated by Martin Landa, FBK-irst, Italy

Last changed: $Date: 2008-02-29 00:33:29 +0100 (pá, 29 II 2008) $

Main index - vector index - Full index

© 2003-2014 GRASS Development Team